<template>
	<div>
		<div ref="main" style="width: 100%; height: 400px"></div>
	</div>
</template>
<script lang="ts">
import { defineComponent, onMounted, ref } from 'vue';
import * as echarts from 'echarts';
import { ElMessage } from 'element-plus';
export default defineComponent({
	setup() {
		onMounted(() => {
			init();
		});
		const main = ref();
		const init = () => {
			var myChart = echarts.init(main.value);
			var option = {
				// title: {
				// 	text: 'Referer of a Website',
				// 	subtext: 'Fake Data',
				// 	left: 'center',
				// },
				tooltip: {
					trigger: 'item',
				},
				legend: {
					orient: 'vertical',
					left: 'left',
				},
				series: [
					{
						name: 'Access From',
						type: 'pie',
						radius: '100%',
						data: [
							{ value: 1048, name: 'Search Engine' },
							{ value: 735, name: 'Direct' },
							{ value: 580, name: 'Email' },
							{ value: 484, name: 'Union Ads' },
							{ value: 300, name: 'Video Ads' },
						],
						emphasis: {
							itemStyle: {
								shadowBlur: 10,
								shadowOffsetX: 0,
								shadowColor: 'rgba(0, 0, 0, 0.5)',
							},
						},
					},
				],
			};

			myChart.setOption(option);
		};
		return {
			main,
			init,
		};
	},
});
</script>
